const fs = require('fs');
const path = require('path');
const { execSync } = require('child_process');

const rootDir = path.dirname(__dirname);
const distDir = `${rootDir}/dist`;
const assetsDir = `${rootDir}/docs/assets`;

const files = {
  js: [
    'js/datepicker-full.js',
    'js/locales',
  ],
  css: [
    'css/datepicker.css',
    'css/datepicker-bulma.css',
    'css/datepicker-bs4.css',
  ],
};
const [, , type] = process.argv;

if (type !== 'js' && type !== 'css') {
  console.error('type must be "js" or "css"');
  process.exit(1);
}

if (!fs.existsSync(assetsDir)) {
  fs.mkdirSync(assetsDir, {recursive: true});
}

execSync(['cp -r', ...files[type], assetsDir].join(' '), {cwd: distDir});
